#include<stdio.h>
long long n,x,a[1000000],max,min,s;
int main(){
	scanf("%lld %lld",&n,&x);
	for(int i=0;i<n;i++)scanf("%lld",&a[i]);
	max=min=a[0];
	for(int i=0;i<n;i++){
		if(a[i]>max)max=a[i];
		if(a[i]<min)min=a[i];
	}
	s=max-min;
	if(min<x)s+=x-min;
	else s+=min-x;	
	printf("%lld",s);
}